(* Copyright (c) 2003 Michal Moskal <malekith@pld-linux.org>
   Licensed under the Academic Free License version 2.0 *)
open Genlex

let parse s =
  let lexbuf = Lexing.from_string s in
  try
    Yacc_parser.texpr Yacc_lexer.token lexbuf
  with Parsing.Parse_error ->
    failwith ("bad expression: " ^ s)
